List custom tools
curl --request GET \
--url https://api.example.com/v2/ai-agents/{ai_agent_id}/custom-tools/import requests
url = "https://api.example.com/v2/ai-agents/{ai_agent_id}/custom-tools/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v2/ai-agents/{ai_agent_id}/custom-tools/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tools": [
{
"openai_tool": {
"name": "<string>",
"description": "<string>",
"parameters": {
"properties": {},
"type": "object",
"required": [
"<string>"
],
"additionalProperties": false
}
},
"additional_tool_info": {
"api": {
"endpoint": "https://api.example.com/test",
"headers": {
"Content-Type": "application/json"
},
"method": "POST",
"parameters": {
"fixed_params": {
"api_key": {
"description": "API key for authentication",
"value": "test-api-key"
}
},
"runtime_params": {}
}
},
"tool_type": "custom"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tool_id": "<string>",
"tool_start_message": "<string>",
"tool_delayed_message": "<string>",
"tool_complete_message": "<string>",
"tool_failed_message": "<string>"
}
],
"next_page_token": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Custom Tools
List custom tools
List custom tools with pagination.
GET
/
v2
/
ai-agents
/
{ai_agent_id}
/
custom-tools
/
List custom tools
Path Parameters
⌘I

